<template>
  <div class="guide">
    <content-header v-if="$isAuthenticated"></content-header>
    <header class="header" v-else>
      <div class="app-container">
        <div class="algin-middle">
          <router-link to="/login">
            <img src="/images/hetachain_headerlogo.png" alt="logo" class="logo">
          </router-link>

          <div class="auth-box">
            <router-link to="/register" class="list-item">
              {{$t('guide.register')}}
            </router-link>
            <router-link to="/login">
              {{$t('guide.signin')}}
            </router-link>
          </div>
        </div>
      </div>
    </header>
    <div class="guide-content-wrapper">
      <div class="guide-content" :class="{'unauthenticate': !$isAuthenticated}">
        <div class="title-page">
          {{ $t('guide.title') }}
        </div>
        <div class="content-left">
          <ul class="guide-menu" :class="{'show': isShowSubMenu}">
            <li class="item" v-for="(item, index) in listGuide" :key="index" @click="showContent(index)" :class="{'active': index === indexShow}">
              {{ $t(item.text) }}
            </li>
          </ul>
        </div>

        <div class="content-right">
          <div class="content-item" v-show="indexShow === 0">
            <p class="title">{{ $t('guide.create.text1') }}</p>
            <p class="mb-8">
              <span>{{ $t('guide.create.text2') }}</span>
              <a :href="$t('guide.create.link1')">{{ $t('guide.create.link1') }}</a>
            </p>
            <p class="mb-20">
              <span clas>{{ $t('guide.create.text3') }}</span>
              <span class="strong">{{ $t('guide.create.bold1') }}</span>
              <span>{{ $t('guide.create.text4') }}</span>
            </p>
            <img :src="$t('guide.create.img1')" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.create.text5') }}</span>
              <span class="strong">{{ $t('guide.create.bold1') }}</span>
              <span>{{ $t('guide.quote') }}</span>
            </p>
            <img :src="$t('guide.create.img2')" alt="" class="image">
            <p class="mb-20">{{ $t('guide.create.text7') }}</p>
            <img :src="$t('guide.create.img3')" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.create.text8') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span class="strong">{{ $t('guide.create.bold2') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span>{{ $t('guide.create.text9') }}</span>
            </p>
            <img :src="$t('guide.create.img4')" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.create.text10') }}</span>
            </p>
            <img src="/images/guide/createAccount_img5.jpg" alt="" class="image">
          </div>

          <div class="content-item" v-show="indexShow === 1">
            <p class="title">{{ $t('guide.addCoin.text1') }}</p>
            <p class="mb-8">
              <span>{{ $t('guide.addCoin.text2') }}</span>
              <a :href="$t('guide.addCoin.link1')">{{ $t('guide.addCoin.link1') }}</a>
            </p>
            <p class="mb-20">
              <span clas>{{ $t('guide.addCoin.text9') }}</span>
              <span class="strong">[{{ $t('guide.addCoin.bold4') }}]</span>
              <span>{{ $t('guide.addCoin.text10') }}</span>
            </p>
            <img :src="$t('guide.addCoin.img1')" alt="" class="image">
            <p class="mb-20">
              <span clas>{{ $t('guide.addCoin.text12') }}</span>
              <span class="strong">[{{ $t('guide.addCoin.bold4') }}]</span>
            </p>
            <img src="/images/guide/addCoin_img5.jpg" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.addCoin.text3') }}</span>
              <span>{{ $t('guide.addCoin.squareQuoteLeft') }}</span>
              <span class="strong">{{ $t('guide.addCoin.bold1') }}</span>
              <span>{{ $t('guide.addCoin.squareQuoteRight') }}</span>
              <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
              <span>{{ $t('guide.addCoin.squareQuoteLeft') }}</span>
              <span class="strong">{{ $t('guide.addCoin.bold2') }}</span>
              <span>{{ $t('guide.addCoin.squareQuoteRight') }}</span>
              <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
              <span>{{ $t('guide.addCoin.text4') }}</span>
            </p>
            <p class="mb-20">{{ $t('guide.addCoin.text5') }}</p>
            <img :src="$t('guide.addCoin.img2')" alt="" class="image">
            <p class="mb-20">{{ $t('guide.addCoin.text6') }}</p>
            <img :src="$t('guide.addCoin.img3')" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.addCoin.text7') }}</span>
              <br>
              <span>{{ $t('guide.addCoin.text11') }}</span>
              <span>{{ $t('guide.addCoin.squareQuoteLeft') }}</span>
              <span class="strong">{{ $t('guide.addCoin.bold1') }}</span>
              <span>{{ $t('guide.addCoin.squareQuoteRight') }}</span>
              <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
              <span>{{ $t('guide.addCoin.squareQuoteLeft') }}</span>
              <span class="strong">{{ $t('guide.addCoin.bold3') }}</span>
              <span>{{ $t('guide.addCoin.squareQuoteRight') }}</span>
              <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
              <span>{{ $t('guide.addCoin.text8') }}</span>
            </p>
            <img :src="$t('guide.addCoin.img4')" alt="" class="image">
          </div>

          <div class="content-item" v-show="indexShow === 2">
            <p class="title">{{ $t('guide.google2FA.text20') }}</p>
            <p class="mb-20">
              <span>{{ $t('guide.google2FA.text1') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span class="strong">{{ $t('guide.google2FA.bold1') }}</span>
              <span>{{ $t('guide.quote') }}</span>
            </p>
            <img :src="$t('guide.google2FA.img1')" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.google2FA.text17') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span class="strong">{{ $t('guide.google2FA.bold1') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span>{{ $t('guide.google2FA.text3') }}</span>
            </p>
            <img :src="$t('guide.google2FA.img2')" alt="" class="image">
            <p class="mb-30">
              <span>{{ $t('guide.google2FA.text4') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span class="strong">{{ $t('guide.google2FA.bold2') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span>{{ $t('guide.google2FA.text5') }}</span>
            </p>
            <p class="mb-20">{{ $t('guide.google2FA.text6') }}</p>
            <img :src="$t('guide.google2FA.img3')" alt="" class="image">
            <p class="mb-20">{{ $t('guide.google2FA.text7') }}</p>
            <img :src="$t('guide.google2FA.img4')" alt="" class="image">
            <p class="mb-20">{{ $t('guide.google2FA.text8') }}</p>
            <p class="dot">{{ $t('guide.google2FA.text9') }}</p>
            <p class="dot mb-20">{{ $t('guide.google2FA.text10') }}</p>
            <p class="center">
              <img :src="$t('guide.google2FA.img5')" alt="" class="image padding-20 mw-500">
              <img :src="$t('guide.google2FA.img6')" alt="" class="image mw-500">
            </p>
            <p class="mb-20">{{ $t('guide.google2FA.text11') }}</p>
            <p class="center">
              <img :src="$t('guide.google2FA.img7')" alt="" class="image mw-500">
            </p>
            <p class="mb-20">{{ $t('guide.google2FA.text12') }}</p>
            <img :src="$t('guide.google2FA.img8')" alt="" class="image">
            <p class="mb-20">{{ $t('guide.google2FA.text13') }}</p>
            <img :src="$t('guide.google2FA.img9')" alt="" class="image">
            <p class="dot">{{ $t('guide.google2FA.text14') }}</p>
            <p class="dot mb-50">{{ $t('guide.google2FA.text15') }}</p>
            <p class="strong mb-40">{{ $t('guide.google2FA.text16') }}</p>
            <p class="">
              <span>{{ $t('guide.google2FA.text17') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span class="strong">{{ $t('guide.google2FA.bold1') }}</span>
              <span>{{ $t('guide.quote') }}</span>
              <span>{{ $t('guide.google2FA.text18') }}</span>
            </p>
            <p class="center">
              <img :src="$t('guide.google2FA.img10')" alt="" class="image">
            </p>
            <p class="mb-20">{{ $t('guide.google2FA.text19') }}</p>
            <p class="center">
              <img :src="$t('guide.google2FA.img11')" alt="" class="image">
            </p>
          </div>

          <div class="content-item" v-show="indexShow === 3">
            <p class="title">{{ $t('guide.deposit.title') }}</p>
            <p>
              <span>{{ $t('guide.deposit.goto_main_website') }}</span>
              <a href="https://heta.org/" class="link">https://heta.org/</a>
            </p>
            <p class="mb-20" v-html="$t('guide.deposit.click_btn_login', {button: `<span class='strong'>${$t('guide.deposit.btn_login')}</span>`})">
            </p>
            <img src="/images/guide/updateEth1.jpg" alt="" class="image">
            <p class="mb-20" v-html="$t('guide.deposit.input_your_email', {button: `<span class='strong'>${$t('guide.deposit.btn_login')}</span>`})">
            </p>
            <img src="/images/guide/updateEth2.jpg" alt="" class="image">
            <p>
              <span>{{ $t('guide.deposit.after_login') }}</span>
            </p>
            <p class="mb-20" v-html="$t('guide.deposit.action_change_eth_address', {
              menu: `<span class='strong'>${$t('guide.deposit.profile_setting')}</span>`,
              button: `<span class='strong'>${$t('guide.deposit.btn_change')}</span>`,
            })"></p>
            <img src="/images/guide/updateEth3.jpg" alt="" class="image">
            <p class="mb-20" v-html="$t('guide.deposit.enter_eth_address', {button: `<span class='strong'>${$t('guide.deposit.btn_submit')}</span>`})"></p>
            <img src="/images/guide/updateEth4.jpg" alt="" class="image">
          </div>

          <div class="content-item" v-show="indexShow === 4">
            <p class="title">{{ $t('guide.kyc.title') }}</p>
            <p class="mb-20">
              <span>{{ $t('guide.kyc.login_to') }}</span>
            </p>
            <img src="/images/guide/doKYC.jpg" alt="" class="image">
            <p class="mb-20">
              <span class="mb-20">{{ $t('guide.kyc.first_note') }}</span>
            </p>
            <p>
              <span>{{ $t('guide.kyc.furthermore') }}</span>
              <div class="pl-30 mb-50">
                <p class="dot">{{ $t('guide.kyc.note1') }}</p>
                <p class="dot">{{ $t('guide.kyc.note2') }}</p>
                <p class="dot">{{ $t('guide.kyc.note3') }}</p>
                <p class="dot">{{ $t('guide.kyc.note4') }}</p>
                <p class="dot">{{ $t('guide.kyc.note5') }}</p>
                <p class="dot">{{ $t('guide.kyc.note6') }}</p>
                <p class="dot">{{ $t('guide.kyc.note7') }}</p>
                <p class="dot">{{ $t('guide.kyc.note8') }}</p>
              </div>
            </p>
            <p class="mb-20" v-html="$t('guide.kyc.step1', {button: `<span class='strong'>${$t('guide.kyc.btn_proceed')}</span>`})"></p>
            <img src="/images/guide/doKYC2.jpg" alt="" class="image">
            <p class="mb-20" v-html="$t('guide.kyc.step2', {button: `<span class='strong'>${$t('guide.kyc.btn_proceed')}</span>`})"></p>
            <img src="/images/guide/doKYC3.jpg" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.kyc.step2_upload') }}</span>
            </p>
            <p class="mb-20">
              <span>{{ $t('guide.kyc.step2_note') }}</span>
            </p>
            <img src="/images/guide/doKYC4.jpg" alt="" class="image">
            <p class="mb-20">{{ $t('guide.kyc.step2_doc') }}</p>
            <p class="mb-20">{{ $t('guide.kyc.step3') }}</p>
            <img src="/images/guide/doKYC5.jpg" alt="" class="image">
            <p class="mb-20">
              <span>{{ $t('guide.kyc.step4') }}</span>
            </p>
            <div class="mb-20">
              <p class="dot">{{ $t('guide.kyc.step4.note1') }}</p>
              <p class="dot">{{ $t('guide.kyc.step4.note2') }}</p>
              <p class="dot">{{ $t('guide.kyc.step4.note3') }}</p>
              <p class="dot">{{ $t('guide.kyc.step4.note4') }}</p>
              <p class="dot">{{ $t('guide.kyc.step4.note5') }}</p>
              <p class="dot">{{ $t('guide.kyc.step4.note6') }}</p>
            </div>
            <img src="/images/guide/doKYC6.jpg" alt="" class="image">
            <p class="mb-20">{{ $t('guide.kyc.after_kyc') }}</p>
            <img src="/images/guide/doKYC7.jpg" alt="" class="image">
            <p>{{ $t('guide.kyc.after_kyc_note') }}</p>
          </div>

          <div class="content-item" v-show="indexShow === 5">
            <p class="title">{{ $t('guide.buy_token.title') }}</p>
            <p class="mb-20" v-html="$t('guide.buy_token.goto_main_website', {
              website: `<a href='https://heta.org/' class='link'>https://heta.org/</a>`,
              button: `<span class='strong'>${$t('guide.buy_token.btn_login')}</span>`
            })"></p>
            <img src="/images/guide/buyHETATOKEN.jpg" alt="" class="image">
            <p class="mb-20" v-html="$t('guide.buy_token.enter_email', {
              button: `<span class='strong'>${$t('guide.buy_token.btn_login')}</span>`
            })"></p>
            <img src="/images/guide/buyHETATOKEN2.jpg" alt="" class="image">
            <p class="mb-20" v-html="$t('guide.buy_token.on_dashboard', {
              dashboard: `<span class='strong'>${$t('guide.buy_token.dashboard')}</span>`,
            })"></p>
            <img src="/images/guide/buyHETATOKEN3.jpg" alt="" class="image">
            <p class="mb-20">
              {{ $t('guide.buy_token.heta_btc') }}
            </p>
            <div class="center">
              <img width="100%" src="/images/guide/buyHETATOKEN4.jpg" alt="" class="image">
            </div>
            <div class="mb-20 margin-left-01">
              <span>{{ $t('guide.buy_token.furthermore') }}</span>
              <div class="pl-30 mb-20 list-01 list-01--02">
                <div class="item">
                  <span class="number">1</span>
                  <span class="text">{{ $t('guide.buy_token.note1') }}</span>
                </div>
                <div class="item">
                  <span class="number">2</span>
                  <span class="text">{{ $t('guide.buy_token.note2') }}</span>
                </div>
                <div class="item">
                  <span class="number">3</span>
                  <span class="text">{{ $t('guide.buy_token.note3') }}</span>
                </div>
                <div class="item">
                  <span class="number">4</span>
                  <span class="text">{{ $t('guide.buy_token.note4') }}</span>
                </div>
                <div class="item">
                  <span class="number">5</span>
                  <span class="text">{{ $t('guide.buy_token.note5') }}</span>
                </div>
                <div class="item">
                  <span class="number">6</span>
                  <span class="text">{{ $t('guide.buy_token.note6') }}</span>
                </div>
                <div class="item">
                  <span class="number">7</span>
                  <span class="text">{{ $t('guide.buy_token.note7') }}</span>
                </div>
              </div>
            </div>
            <p class="mb-20" v-html="$t('guide.buy_token.buy_heta', {
              button: `<span class='strong'>${$t('guide.buy_token.btn_buy')}</span>`
            })"></p>
            <p class="mb-50">
              <span>{{ $t('guide.buy_token.buy_note') }}</span>
            </p>
            <p>{{ $t('guide.buy_token.buy_success') }}</p>
            <div class="padding-20">
              <img src="/images/guide/buyHETATOKEN5.jpg" alt="" class="image">
              <p class="mb-20">{{ $t('guide.buy_token.buy_success_note') }}</p>
              <img src="/images/guide/buyHETATOKEN6.jpg" alt="" class="image">
            </div>
          </div>
        </div>
      </div>
    </div>
    <content-footer v-if="$isAuthenticated"></content-footer>
    <guest-page-footer style="position: static;" v-else></guest-page-footer>
  </div>
</template>
<script>
  import GuestPageFooter from '../components/GuestPageFooter.vue';
  import ContentFooter from './Layout/Footer.vue';
  import ContentHeader from './Layout/Header.vue';

  export default {
    name: 'Guide',
    components: {
      GuestPageFooter,
      ContentHeader,
      ContentFooter,
    },
    data() {
      return {
        listGuide: [
          {
            id: 1,
            text: 'guide.menuList.text1'
          },
          {
            id: 2,
            text: 'guide.menuList.text2'
          },
          {
            id: 3,
            text: 'guide.menuList.text3'
          },
          {
            id: 4,
            text: 'How to update ETH Address'
          },
          {
            id: 5,
            text: 'How to do KYC'
          },
          {
            id: 6,
            text: 'How to buy HETA TOKEN'
          }
        ],
        indexShow: 0,
        isShowSubMenu: false,
      }
    },
    methods: {
      showContent(index) {
        this.indexShow = index;
        this.closeSubList();
        this.scrollTop()
      },
      closeSubList() {
        this.isShowSubMenu = !this.isShowSubMenu;
      },
      scrollTop() {
        window.scrollTo({
          top: 0,
          behavior: 'smooth',
        })
      }
    }
  }
</script>
<style lang="scss" scoped>
  @import '../../../sass/variables';
  .guide {
    header {
      height: 100px;
      min-width: 1280px;
      padding: 0 25px;
      background-image: linear-gradient(to bottom, #191232, #21345c);
      .app-container {
        line-height: 100px;
        width: 1230px;
        margin: auto;
      }
      .logo {
        height: 40px !important;
        margin-bottom: 0;
      }
      .auth-box {
        float: right;

        a {
          display: inline-block;
          padding-left: 28px;
          font-size: $medium;
          font-weight: bold;
          color: #cacaca;
          transition: all 0.3s ease-in-out;

          &:active {
            color: $orange;
          }

          &:hover {
            color: $orange;
            text-decoration: none;
          }
        }
      }
    }

    * {
      margin: 0;
      padding: 0;
    }

    .title-page {
      font-size: $big;
      font-weight: bold;
      color: $black;
      margin-bottom: 24px;
    }

    .guide-content-wrapper {
      padding: 50px 0;
      width: 1230px;
      margin: 0 auto;
      min-height: calc(100vh - 70px - 97px);
    }

    .guide-content {
      margin: 0 auto;
      &.unauthenticate {
        margin-left: 0;
      }
      width: 1130px;
      font-size: 0;
      .content-left {
        width: 220px;
        display: inline-block;
        margin-right: 57px;

        .title {
          display: none;
        }
      }

      .content-right {
        display: inline-block;
        width: calc(100% - 220px - 57px);
        float: right;
      }

      &:after {
        content: '';
        display: table;
        clear: both;
      }
    }

    .guide-menu {
      .item {
        cursor: pointer;
        color: $grey;
        font-size: $medium;
        padding: 15px 0;
        list-style: none;
        border-bottom: 1px solid #e0e0e0;
        transition: all 0.3s ease-in-out;

        &:first-child {
          border-top: 1px solid #e0e0e0;
        }

        &.active {
          border-bottom-color: $orange;
          color: $orange;
        }
      }
    }

    .content-item {
      font-size: $small;
      color: $gray;
      line-height: 1.5625;

      a {
        text-decoration: underline;
        color: #3490dc;
      }

      .title {
        font-size: $font20;
        color: $orange;
        margin-bottom: 25px;
      }
    }

    img {
      margin: 0 0 20px;
      max-width: 100%;
    }
    
    .list-01 {
      text-align: left;
      .item {
        margin-bottom: 7px;
      }
      .number {
        margin-right: 5px;
        display: inline-block;
        width: 18px;
        height: 18px;
        line-height: 18px;
        border-radius: 50%;
        border: 1px solid #333;
        text-align: center;
      }
    }

    .margin-left-01 {
      margin-left: 10%;
    }

    // define useful class

    .dot {
      padding-left: 20px;
      position: relative;

      &:before {
        content: '';
        display: block;
        position: absolute;
        left: 0;
        top: 5px;
        width: 4px;
        height: 4px;
        border-radius: 50%;
        background-color: #000;
      }
    }

    @each $item in 8, 20, 30, 50 {
      .mb-#{$item} {
        margin-bottom: $item * 1px;
      }
    }

    @each $item in 100 {
      .ml-#{$item} {
        margin-left: $item * 1px;
      }
    }

    @each $item in 20 {
      .padding-#{$item} {
        padding: $item * 1px;
      }
    }

    @each $item in 400, 500, 800 {
      .mw-#{$item} {
        max-width: $item * 1px;
      }
    }

    .center {
      text-align: center;
    }
  }

  @media screen and (max-width: 1200px) {
    .guide {
      .guide-content-wrapper {
        width: 100%;
        padding: 56px 20px 80px;
      }

      .guide-content {
        width: 100%;
      }

      .content-item {
        font-size: $medium !important;
      }
    }
    
    .content-left {
      width: 200px !important;
      margin-right: 30px !important;
    }

    .content-right {
      width: calc(100% - 220px - 30px) !important;
    }

    .margin-left-01 {
      margin-left: 0;
    }
  }
</style>
<style>
  .strong {
    font-weight: bold;
  }
</style>